libqxp::QXP1Parser Class Reference

`#include <QXP1Parser.h>`

Inheritance diagram for libqxp::QXP1Parser:

## Public Member Functions

| QXP1Parser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter, const std::shared_ptr< QXP1Header > &header)
Public Member Functions inherited from libqxp::QXPParser
| QXPParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter, const std::shared_ptr< QXPHeader > &header)
virtual | ~QXPParser ()=default
bool | parse ()

## Static Public Member Functions

static void | adjust (double &pos, unsigned adjustment)

## Private Member Functions

bool | parseDocument (const std::shared_ptr< librevenge::RVNGInputStream > &docStream, QXPCollector &collector) override
bool | parsePages (const std::shared_ptr< librevenge::RVNGInputStream > &pagesStream, QXPCollector &collector) override
CharFormat | parseCharFormat (const std::shared_ptr< librevenge::RVNGInputStream > &stream) override
ParagraphFormat | parseParagraphFormat (const std::shared_ptr< librevenge::RVNGInputStream > &stream) override
std::shared_ptr< HJ > | parseHJ (const std::shared_ptr< librevenge::RVNGInputStream > &stream) override
bool | parsePage (const std::shared_ptr< librevenge::RVNGInputStream > &input)
bool | parseObject (const std::shared_ptr< librevenge::RVNGInputStream > &input, QXPCollector &collector)
void | parseLine (const std::shared_ptr< librevenge::RVNGInputStream > &input, QXPCollector &collector, const Rect &bbox, const Color &color, bool transparent)
void | parseText (const std::shared_ptr< librevenge::RVNGInputStream > &input, QXPCollector &collector, const Rect &bbox, const Color &color, bool transparent, unsigned content, unsigned textOffset, unsigned linkID)
void | parsePicture (const std::shared_ptr< librevenge::RVNGInputStream > &input, QXPCollector &collector, const Rect &bbox, const Color &color, bool transparent)
void | parseCoordPair (const std::shared_ptr< librevenge::RVNGInputStream > &input, double &x1, double &y1, double &x2, double &y2)

## Private Attributes

const std::shared_ptr< QXP1Header > | m_header

## Additional Inherited Members

Protected Member Functions inherited from libqxp::QXPParser
Color | getColor (unsigned id, Color defaultColor=Color(0, 0, 0)) const
const LineStyle * | getLineStyle (unsigned id) const
std::string | getFont (int id, std::string defaultFont="Arial") const
void | convertCharFormatFlags (unsigned flags, CharFormat &format)
TabStopType | convertTabStopType (unsigned type)
void | skipRecord (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
void | parseFonts (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
void | parseHJs (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
void | parseCharFormats (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
void | parseCommonCharFormatProps (const std::shared_ptr< librevenge::RVNGInputStream > &stream, CharFormat &result)
void | parseHJProps (const std::shared_ptr< librevenge::RVNGInputStream > &stream, HJ &result)
TabStop | parseTabStop (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
void | parseParagraphFormats (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
void | parseCollection (const std::shared_ptr< librevenge::RVNGInputStream >stream, std::function< void()> itemHandler)
std::vector< PageSettings > | parsePageSettings (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
std::shared_ptr< Text > | parseText (unsigned index, unsigned linkId, QXPCollector &collector)
uint32_t | readRecordEndOffset (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
uint8_t | readColorComp (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
Rect | readObjectBBox (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
Gradient | readGradient (const std::shared_ptr< librevenge::RVNGInputStream > &stream, const Color &color1)
HorizontalAlignment | readHorAlign (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
VerticalAlignment | readVertAlign (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
Point | readYX (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
std::shared_ptr< ParagraphRule > | readParagraphRule (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
uint8_t | readParagraphFlags (const std::shared_ptr< librevenge::RVNGInputStream > &stream, bool &incrementalLeading, bool &ruleAbove, bool &ruleBelow)
uint8_t | readObjectFlags (const std::shared_ptr< librevenge::RVNGInputStream > &stream, bool &noColor)
void | readGroupElements (const std::shared_ptr< librevenge::RVNGInputStream > &stream, unsigned count, unsigned objectsCount, unsigned index, std::vector< unsigned > &elements)
void | setArrow (const unsigned index, Frame &frame) const
void | skipFileInfo (const std::shared_ptr< librevenge::RVNGInputStream > &stream)
Protected Attributes inherited from libqxp::QXPParser
const std::shared_ptr< librevenge::RVNGInputStream > | m_input
librevenge::RVNGDrawingInterface * | m_painter
const bool | be
QXPBlockParser | m_blockParser
QXPTextParser | m_textParser
std::map< unsigned, Color > | m_colors
std::map< int, std::string > | m_fonts
std::vector< std::shared_ptr< CharFormat > > | m_charFormats
std::vector< std::shared_ptr< ParagraphFormat > > | m_paragraphFormats
std::map< unsigned, LineStyle > | m_lineStyles
std::vector< Arrow > | m_arrows
std::deque< std::shared_ptr< HJ > > | m_hjs
std::set< unsigned > | m_groupObjects

## Constructor & Destructor Documentation

## QXP1Parser()

libqxp::QXP1Parser::QXP1Parser | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | librevenge::RVNGDrawingInterface * | painter,
|  | const std::shared_ptr< QXP1Header > & | header )

## Member Function Documentation

## adjust()

void libqxp::QXP1Parser::adjust | ( | double & | pos,
|  | unsigned | adjustment )

static

Referenced by libqxp::QXP1Header::load(), and parseCoordPair().

## parseCharFormat()

CharFormat libqxp::QXP1Parser::parseCharFormat | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | stream | ) |

override private virtual

Implements libqxp::QXPParser.

## parseCoordPair()

void libqxp::QXP1Parser::parseCoordPair | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | double & | x1,
|  | double & | y1,
|  | double & | x2,
|  | double & | y2 )

private

Referenced by parseObject().

## parseDocument()

bool libqxp::QXP1Parser::parseDocument | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | docStream,
|  | QXPCollector & | collector )

override private virtual

Implements libqxp::QXPParser.

## parseHJ()

std::shared_ptr< HJ > libqxp::QXP1Parser::parseHJ | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | stream | ) |

override private virtual

Implements libqxp::QXPParser.

## parseLine()

void libqxp::QXP1Parser::parseLine | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | QXPCollector & | collector,
|  | const Rect & | bbox,
|  | const Color & | color,
|  | bool | transparent )

private

Referenced by parseObject().

## parseObject()

bool libqxp::QXP1Parser::parseObject | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | QXPCollector & | collector )

private

Referenced by parsePages().

## parsePage()

bool libqxp::QXP1Parser::parsePage | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |

private

Referenced by parsePages().

## parsePages()

bool libqxp::QXP1Parser::parsePages | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | pagesStream,
|  | QXPCollector & | collector )

override private virtual

Implements libqxp::QXPParser.

## parseParagraphFormat()

ParagraphFormat libqxp::QXP1Parser::parseParagraphFormat | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | stream | ) |

override private virtual

Implements libqxp::QXPParser.

## parsePicture()

void libqxp::QXP1Parser::parsePicture | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | QXPCollector & | collector,
|  | const Rect & | bbox,
|  | const Color & | color,
|  | bool | transparent )

private

Referenced by parseObject().

## parseText()

void libqxp::QXP1Parser::parseText | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | QXPCollector & | collector,
|  | const Rect & | bbox,
|  | const Color & | color,
|  | bool | transparent,
|  | unsigned | content,
|  | unsigned | textOffset,
|  | unsigned | linkID )

private

Referenced by parseObject().

## Member Data Documentation

## m_header

const std::shared_ptr<QXP1Header> libqxp::QXP1Parser::m_header

private

Referenced by parsePages(), and QXP1Parser().

The documentation for this class was generated from the following files:

- QXP1Parser.h
- QXP1Parser.cpp